%define snap	20160101
%define rel	11

%define major	1
%define libname	%mklibname rtmp %{major}
%define devname	%mklibname rtmp -d

%define build_crypto 0

%bcond_with plf

%if "%distro_section"=="tainted"
%bcond_without plf
%endif

%if %with plf
%define build_crypto 1
%endif

%if !%{build_crypto}
%define notice This version does not contain RTMPE / RTMPS / SWF verification support.
%else
%if %with plf
%define notice This package is in the Tainted section because it contains \
support for the RTMPE protocol which some people may consider to be a DRM \
protection mechanism.
%else
%define notice %{nil}
%endif
%endif

Summary:	Toolkit for RTMP streams
Name:		rtmpdump
Version:	2.4
%if %{snap}
Release:	%mkrel 0.git%{snap}.%{rel}
%else
Release:	%mkrel %{rel}
%endif
License:	GPLv2+
Group:		Video/Utilities
URL:		http://rtmpdump.mplayerhq.hu/
%if %{snap}
# rm -rf rtmpdump && git clone git://git.ffmpeg.org/rtmpdump && cd rtmpdump/
# git archive --prefix=rtmpdump-$(date +%Y%m%d)/ --format=tar HEAD | xz > ../rtmpdump-$(date +%Y%m%d).tar.xz
Source0:	%{name}-%{snap}.tar.xz
%else
Source:		http://rtmpdump.mplayerhq.hu/download/%{name}-%{version}.tgz
%endif
# fix pkgconfig issues
Patch0:		rtmpdump-2.4-mga-pkgconfig-private.patch
# these do not belong to sbindir
Patch1:		rtmpdump-2.4-mga-no-sbindir.patch
# fix pkgconfig private reqs for gnutls build
Patch2:		rtmpdump-gnutls.patch
BuildRequires:	zlib-devel
%if %{build_crypto}
BuildRequires:	pkgconfig(gnutls)
%endif
Requires:	%{libname} >= %{version}
Obsoletes:	flvstreamer < %{version}
Provides:	flvstreamer = %{version}

%description
rtmpdump is a toolkit for RTMP streams.

%notice

%package -n	%{libname}
Summary:	Shared library: librtmp
Group:		System/Libraries

%description -n	%{libname}
Shared library for handling RTMP streams.

%notice

%package -n	%{devname}
Summary:	Development files for librtmp
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	rtmp-devel = %{version}-%{release}
Provides:	librtmp-devel = %{version}-%{release}

%description -n	%{devname}
The development files that are needed to build software depending
on librtmp.

%prep
%if %{snap}
%setup -q -n %{name}-%{snap}
%else
%setup -q
%endif
%autopatch -p1

%build
%make_build XCFLAGS="%optflags" LDFLAGS="%ldflags" \
%if %{build_crypto}
	CRYPTO=GNUTLS
%else
	CRYPTO=
%endif
# empty line

%install
%make_install prefix=%{_prefix} libdir=%{_libdir} mandir=%{_mandir}

# Add compatibility symlink
ln -s rtmpdump %{buildroot}%{_bindir}/flvstreamer

rm %{buildroot}%{_libdir}/librtmp.a

%files
%doc README ChangeLog
%{_bindir}/flvstreamer
%{_bindir}/rtmpdump
%{_bindir}/rtmpgw
%{_bindir}/rtmpsrv
%{_bindir}/rtmpsuck
%{_mandir}/man1/rtmpdump.1*
%{_mandir}/man8/rtmpgw.8*

%files -n %{libname}
%{_libdir}/librtmp.so.%{major}{,.*}

%files -n %{devname}
%dir %{_includedir}/librtmp
%{_includedir}/librtmp/*.h
%{_libdir}/librtmp.so
%{_libdir}/pkgconfig/librtmp.pc
%{_mandir}/man3/librtmp.3*


%changelog
* Wed Mar 16 2022 umeabot <umeabot> 2.4-0.git20160101.11.mga9
+ Revision: 1794974
- Mageia 9 Mass Rebuild

* Mon Nov 30 2020 luigiwalser <luigiwalser> 2.4-0.git20160101.10.mga8
+ Revision: 1650735
- rebuild for nettle

* Sun Feb 16 2020 umeabot <umeabot> 2.4-0.git20160101.9.mga8
+ Revision: 1534836
- Mageia 8 Mass Rebuild

* Mon Oct 07 2019 akien <akien> 2.4-0.git20160101.8.mga8.tainted
+ Revision: 1450140
- Rebuild for nettle 3.5.1 / libhogweed5

* Sun Sep 23 2018 umeabot <umeabot> 2.4-0.git20160101.7.mga7.tainted
+ Revision: 1300866
- Mageia 7 Mass Rebuild

* Thu Oct 26 2017 cjw <cjw> 2.4-0.git20160101.6.mga7
+ Revision: 1173770
- patch2: select gnutls in makefile to fix reqs in pkgconfig file

* Sat Oct 14 2017 cjw <cjw> 2.4-0.git20160101.5.mga7.tainted
+ Revision: 1171794
- build with gnutls instead of openssl 1.0.x

* Mon Oct 09 2017 daviddavid <daviddavid> 2.4-0.git20160101.4.mga7.tainted
+ Revision: 1170429
- build against compat-openssl10

* Thu Aug 03 2017 guillomovitch <guillomovitch> 2.4-0.git20160101.4.mga7
+ Revision: 1134277
- rebuild for latest openssl

* Sat Jan 02 2016 wally <wally> 2.4-0.git20160101.3.mga6.tainted
+ Revision: 918386
- restore openssl-devel (private) requires as it's not exposed to autodep generator

* Sat Jan 02 2016 wally <wally> 2.4-0.git20160101.2.mga6
+ Revision: 918382
- rely on autogenerated devel pkg requires

* Sat Jan 02 2016 luigiwalser <luigiwalser> 2.4-0.git20160101.1.mga6
+ Revision: 918169
- update to 20160101 snapshot (fixes security issues)

* Wed Oct 15 2014 umeabot <umeabot> 2.4-0.git20140215.2.mga5.tainted
+ Revision: 746443
- Second Mageia 5 Mass Rebuild

* Sun Jul 06 2014 ovitters <ovitters> 2.4-0.git20140215.1.mga5.tainted
+ Revision: 648766
+ rebuild (emptylog)

* Sun Feb 16 2014 luigiwalser <luigiwalser> 2.4-0.git20140215.1.mga5
+ Revision: 592532
- update to 20140215 snapshot
- rediff pkgconfig private patch
- library major is now 1

* Fri Oct 18 2013 umeabot <umeabot> 2.4-0.git20111228.5.mga4.tainted
+ Revision: 521464
- Mageia 4 Mass Rebuild

* Tue Jan 22 2013 fwang <fwang> 2.4-0.git20111228.4.mga3.tainted
+ Revision: 390991
- update rpm group
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Aug 02 2012 anssi <anssi> 2.4-0.git20111228.2.mga3.tainted
+ Revision: 277974
- obsolete flvstreamer and provide a compatibility symlink (bug #6774)

* Thu Dec 29 2011 doktor5000 <doktor5000> 2.4-0.git20111228.1.mga2.tainted
+ Revision: 188783
- fix pkgconfig-private.patch
- use 0.git for release
- git snapshot of version 2.4
  o supports RTMPE type 9 handshakes, needed f.ex. by Hulu or Amazon Prime
- drop pkgconfig-hardcoded.patch, already integrated upstream
- dropped link-shared.patch, already integrated upstream
- dropped link-shared2.patch, already integrated upstream
- rediffed pkgconfig-private.patch
- rediffed no-sbindir.patch

* Fri Jun 17 2011 ahmad <ahmad> 2.3-5.mga2.tainted
+ Revision: 109305
- Adjust the notice, s/PLF/Tainted/ (spotted by Anssi)

* Fri Jun 17 2011 ahmad <ahmad> 2.3-4.mga2.tainted
+ Revision: 109297
- Enable a Tainted build
- imported package rtmpdump


* Wed Jul 21 2010 Götz Waschk <waschk@mandriva.org> 2.3-3mdv2011.0
+ Revision: 556312
- fix devel dep

* Tue Jul 20 2010 Anssi Hannula <anssi@mandriva.org> 2.3-2mdv2011.0
+ Revision: 555462
- add missing provides to the devel package

* Mon Jul 19 2010 Anssi Hannula <anssi@mandriva.org> 2.3-1mdv2011.0
+ Revision: 555024
- initial Mandriva release

